## libkf5mailimporter 19.12.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
set(PIM_VERSION "5.13.3")

project(MailImporter VERSION ${PIM_VERSION})

set(KF5_MIN_VERSION "5.63.0")

find_package(ECM ${KF5_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(LIBRARY_NAMELINK)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMSetupVersion)
include(FeatureSummary)
include(ECMQtDeclareLoggingCategory)
include(ECMAddTests)



set(MAILIMPORTER_LIB ${PIM_VERSION})


set(AKONADIMIME_LIB_VERSION "5.13.3")
set(KDEPIM_LIB_VERSION "5.13.3")
set(QT_REQUIRED_VERSION "5.11.0")
set(KMIME_LIB_VERSION "5.13.3")
set(AKONADI_VERSION "5.13.3")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Xml)

find_package(KF5Archive ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)

find_package(KF5Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KF5Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KF5Libkdepim ${KDEPIM_LIB_VERSION} CONFIG REQUIRED)

########### Targets ###########


if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050e00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054000)
endif()


########### CMake Config Files ###########

add_definitions(-DTRANSLATION_DOMAIN=\"libmailimporter\")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
add_definitions(-DQT_NO_FOREACH)

add_subdirectory(src)

install(FILES mailimporter.renamecategories mailimporter.categories  DESTINATION  ${KDE_INSTALL_LOGGINGCATEGORIESDIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
ki18n_install(po)

=== debian/changelog ===
libkf5mailimporter (4:19.12.3-0ubuntu1) focal; urgency=medium

  * Move qdebug categories files to new location.
  * New upstream release (19.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Apr 2020 14:00:04 +0100

libkf5mailimporter (4:19.04.3-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 19:16:40 +0100

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:19.12.3~),
               libkf5akonadicontact-dev (>= 4:19.12.3~),
               libkf5akonadimime-dev (>= 4:19.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:19.12.3~),
               libkf5mime-dev (>= 19.12.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter

Package: libkf5mailimporter-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:19.12.3~),
         libkf5akonadimime-dev (>= 4:19.12.3~),
         libkf5mailimporter5abi1 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 19.12.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library, devel files
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MailImporter
Architecture: any
Multi-Arch: same
Depends: libkf5mailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/mailimporter-([\d.]+).tar.xz

## libkf5mailimporter 20.08.1

=== debian/changelog ===
libkf5mailimporter (4:20.08.1-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Sep 2020 14:02:07 +0100

libkf5mailimporter (4:20.08.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (20.08.0)
  * Update symbols.
  * New build depend on libkf5pimcommon-dev.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Aug 2020 09:57:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,15 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:19.12.3~),
-               libkf5akonadicontact-dev (>= 4:19.12.3~),
-               libkf5akonadimime-dev (>= 4:19.12.3~),
+               libkf5akonadi-dev (>= 4:20.08.1~),
+               libkf5akonadicontact-dev (>= 4:20.08.1~),
+               libkf5akonadimime-dev (>= 4:20.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:19.12.3~),
-               libkf5mime-dev (>= 19.12.3~),
+               libkf5libkdepim-dev (>= 4:20.08.1~),
+               libkf5mime-dev (>= 20.08.1~),
+               libkf5pimcommon-dev (>= 4:20.08.1~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
@@ -37,11 +38,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:19.12.3~),
-         libkf5akonadimime-dev (>= 4:19.12.3~),
+Depends: libkf5akonadi-dev (>= 4:20.08.1~),
+         libkf5akonadimime-dev (>= 4:20.08.1~),
          libkf5mailimporter5abi1 (= ${binary:Version}),
          libkf5mailimporterakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 19.12.3~),
+         libkf5mime-dev (>= 20.08.1~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5mailimporter 20.08.3

=== debian/changelog ===
libkf5mailimporter (4:20.08.3-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.08.3).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 16 Dec 2020 01:50:01 +0100

libkf5mailimporter (4:20.08.2-3) unstable; urgency=medium

  * Team upload.
  * Unregister the old /etc/xdg/mailimporter.categories, and
    /etc/xdg/mailimporter.renamecategories conffiles.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Re-export upstream signing key without extra signatures.

 -- Pino Toscano <pino@debian.org>  Fri, 27 Nov 2020 21:12:22 +0100

libkf5mailimporter (4:20.08.2-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Tue, 20 Oct 2020 00:09:06 +0200

libkf5mailimporter (4:20.08.2-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - call the right debhelper command instead of $(overridden_command)
  * New upstream release (20.08.2).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update repository related entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Fri, 16 Oct 2020 00:53:00 +0200

libkf5mailimporter (4:20.04.1-1) unstable; urgency=medium

  [ Sandro Knauß ]
  * New upstream release (20.04.1).
  * Update build-deps and deps with the info from cmake.

 -- Sandro Knauß <hefee@debian.org>  Wed, 27 May 2020 00:00:28 +0200

libkf5mailimporter (4:20.04.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update watch file to the new release-service location.
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (20.04.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Remove COPYING listed in copyright file.
  * shorten line for extended description.
  * Set fields Upstream-Name, Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Wed, 13 May 2020 12:23:10 +0200

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>, Sandro Knauß <hefee@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               libkf5akonadi-dev (>= 4:20.08.3~),
               libkf5akonadimime-dev (>= 4:20.08.3~),
               libkf5archive-dev (>= 5.71.0~),
               libkf5config-dev (>= 5.71.0~),
               libkf5coreaddons-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5libkdepim-dev (>= 4:20.04.1~),
               libkf5mime-dev (>= 20.08.3~),
               libkf5pimcommon-dev (>= 4:20.08.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.13.0~),
               xauth,
               xvfb
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/pim/mailimporter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
Rules-Requires-Root: no

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.08.3~),
         libkf5akonadimime-dev (>= 4:20.08.3~),
         libkf5archive-dev (>= 5.71.0~),
         libkf5mailimporter5 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 20.08.3~),
         qtbase5-dev (>= 5.13.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mail importer library, devel files
 Contains development files for building software that uses the library for
 importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailimporter-dev (<< 4:19.08.2-1~)
Replaces: libkf5mailimporter-dev (<< 4:19.08.2-1~)
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

## libkf5mailimporter 20.12.3

=== debian/changelog ===
libkf5mailimporter (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:29:16 +0000

libkf5mailimporter (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:02:38 +0000

libkf5mailimporter (4:20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:15:58 +0000

libkf5mailimporter (4:20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Update build depends.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:35:53 +0000

libkf5mailimporter (4:20.08.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.08.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 10:00:06 +0000

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:20.12.3~),
               libkf5akonadicontact-dev (>= 4:20.12.3~),
               libkf5akonadimime-dev (>= 4:20.12.3~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 20.12.3~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:20.12.3~),
               libkf5mime-dev (>= 20.12.3~),
               libkf5pimcommon-dev (>= 4:20.12.3~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter

Package: libkf5mailimporter-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:20.12.3~),
         libkf5akonadimime-dev (>= 4:20.12.3~),
         libkf5mailimporter5abi1 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 20.12.3~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library, devel files
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MailImporter
Architecture: any
Multi-Arch: same
Depends: libkf5mailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.

## libkf5mailimporter 21.08.1

=== debian/changelog ===
libkf5mailimporter (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:41:02 +0100

libkf5mailimporter (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:10:49 +0100

libkf5mailimporter (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:05:24 +0100

libkf5mailimporter (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 19 Jul 2021 10:44:59 +0100

libkf5mailimporter (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:52:09 +0100

libkf5mailimporter (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:49:36 +0100

libkf5mailimporter (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:16:01 +0100

libkf5mailimporter (4:21.04.0-0ubuntu1) impish; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.04.0)

  [ José Manuel Santamaría Lema ]
  * Refreshed patch enable_debian_abi_manager.diff

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:47:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,16 +6,16 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:20.12.3~),
-               libkf5akonadicontact-dev (>= 4:20.12.3~),
-               libkf5akonadimime-dev (>= 4:20.12.3~),
+               libkf5akonadi-dev (>= 4:21.08.1~),
+               libkf5akonadicontact-dev (>= 4:21.08.1~),
+               libkf5akonadimime-dev (>= 4:21.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 20.12.3~),
+               libkf5grantleetheme-dev (>= 21.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:20.12.3~),
-               libkf5mime-dev (>= 20.12.3~),
-               libkf5pimcommon-dev (>= 4:20.12.3~),
+               libkf5libkdepim-dev (>= 4:21.08.1~),
+               libkf5mime-dev (>= 21.08.1~),
+               libkf5pimcommon-dev (>= 4:21.08.1~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
@@ -39,11 +39,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:20.12.3~),
-         libkf5akonadimime-dev (>= 4:20.12.3~),
+Depends: libkf5akonadi-dev (>= 4:21.08.1~),
+         libkf5akonadimime-dev (>= 4:21.08.1~),
          libkf5mailimporter5abi1 (= ${binary:Version}),
          libkf5mailimporterakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 20.12.3~),
+         libkf5mime-dev (>= 21.08.1~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5mailimporter 21.12.3

=== src/mailimporter/CMakeLists.txt ===
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailImporter")


if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5MailImporter_QCH
        FILE KF5MailImporteQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5MailImporterQchTargets.cmake\")")
endif()

add_library(KF5MailImporter)
add_library(KF5::MailImporter ALIAS KF5MailImporter)

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailImporterConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterConfigVersion.cmake"
    SOVERSION 5
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5MailImporterTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailImporterTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )


target_sources(KF5MailImporter PRIVATE
    filters/filteroe.cpp
    filters/filterpmail.cpp
    filters/filterplain.cpp
    filters/filtermbox.cpp
    filters/filterevolution.cpp
    filters/filtermailapp.cpp
    filters/filterevolution_v2.cpp
    filters/filterevolution_v3.cpp
    filters/filteropera.cpp
    filters/filterthunderbird.cpp
    filters/filterkmail_maildir.cpp
    filters/filtersylpheed.cpp
    filters/filterclawsmail.cpp
    filters/filterthebat.cpp
    filters/filterlnotes.cpp
    filters/filterkmailarchive.cpp
    filters/filtermailmangzip.cpp
    filters/filtericedove.cpp
    filters/filterbalsa.cpp
    filters/filterseamonkey.cpp
    messagestatus.cpp
    importmailswidget.cpp
    filterinfogui.cpp
    filterinfo.cpp
    filters.cpp
    filterimporterbase.cpp
    othermailerutil.cpp
    selectthunderbirdprofilewidget.cpp
    messagestatus.h
    selectthunderbirdprofilewidget.h
    filters/filterclawsmail.h
    filters/filterseamonkey.h
    filters/filterevolution_v3.h
    filters/filteroe.h
    filters/filtermailapp.h
    filters/filterkmail_maildir.h
    filters/filtericedove.h
    filters/filtermailmangzip.h
    filters/filterpmail.h
    filters/filterthunderbird.h
    filters/filterlnotes.h
    filters/filterevolution_v2.h
    filters/filterkmailarchive.h
    filters/filteropera.h
    filters/filtersylpheed.h
    filters/filterthebat.h
    filters/filterbalsa.h
    filters/filterevolution.h
    filters/filtermbox.h
    filters/filterplain.h
    filterinfogui.h
    othermailerutil.h
    mailimporter_utils.h
    importmailswidget.h
    filterimporterbase.h
    filters.h
    mailimporter_private_export.h
    filterinfo.h
    )


ki18n_wrap_ui(KF5MailImporter ui/importmailswidget.ui ui/selectthunderbirdprofilewidget.ui)

ecm_qt_declare_logging_category(KF5MailImporter HEADER mailimporter_debug.h IDENTIFIER MAILIMPORTER_LOG CATEGORY_NAME org.kde.pim.mailimporter
        DESCRIPTION "mailimporter (mailimporter)"
        OLD_CATEGORY_NAMES log_mailimporter
        EXPORT MAILIMPORTER
    )

if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5MailImporter PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header( KF5MailImporter BASE_NAME mailimporter)

target_include_directories(KF5MailImporter INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailImporter/;${KDE_INSTALL_INCLUDEDIR_KF5}/mailimporter>")
target_include_directories(KF5MailImporter PUBLIC "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>")


target_link_libraries(KF5MailImporter
    PUBLIC
    KF5::Archive
    PRIVATE
    KF5::PimCommon
    KF5::I18n
    KF5::ConfigCore
    Qt::Xml
    Qt::Widgets
    )

set_target_properties(KF5MailImporter PROPERTIES
    VERSION ${MAILIMPORTER_VERSION}
    SOVERSION ${MAILIMPORTER_SOVERSION}
    EXPORT_NAME MailImporter
    )

install(TARGETS
    KF5MailImporter
    EXPORT KF5MailImporterTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
    )

ecm_generate_headers(MailImporter_CamelCase_HEADERS
    HEADER_NAMES
    FilterImporterBase
    FilterInfoGui
    OtherMailerUtil
    ImportMailsWidget
    MailImporter_Utils
    Filters
    FilterInfo
    MessageStatus
    REQUIRED_HEADERS MailImporter_HEADERS
    PREFIX MailImporter
    )

ecm_generate_headers(MailImporter_FiltersCamelCase_HEADERS
    HEADER_NAMES
    FilterClawsMail
    FilterBalsa
    FilterSylpheed
    FilterTheBat
    FilterEvolution
    FilterThunderbird
    FilterEvolution_v2
    FilterEvolution_v3
    FilterMailApp
    FilterMailmanGzip
    FilterPlain
    FilterPMail
    FilterMBox
    FilterOpera
    FilterLNotes
    FilterOE
    FilterKMail_maildir
    FilterKMailArchive
    FilterIcedove
    FilterSeaMonkey
    REQUIRED_HEADERS MailImporter_Filters_HEADERS
    PREFIX MailImporter
    RELATIVE filters
    )


ecm_generate_pri_file(BASE_NAME MailImporter
    LIB_NAME KF5MailImporter
    DEPS "KArchive" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailImporter
    )


install(FILES
    ${MailImporter_CamelCase_HEADERS}
    ${MailImporter_FiltersCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailImporter
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporter_export.h
    ${MailImporter_HEADERS}
    ${MailImporter_Filters_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailimporter
    COMPONENT Devel
    )
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})


if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()

if (BUILD_QCH)
    ecm_add_qch(
        KF5MailImporter_QCH
        NAME KMailImporter
        BASE_NAME KF5MailImporter
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailImporter_HEADERS}
            ${MailImporter_Filters_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILIMPORTER_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/mailimporterakonadi/CMakeLists.txt ===
########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MailImporterAkonadi")
if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5MailImporterAkonadi_QCH
        FILE KF5MailImporterAkonadiQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5MailImporterAkonadiQchTargets.cmake\")")
endif()

add_library(KF5MailImporterAkonadi)
add_library(KF5::MailImporterAkonadi ALIAS KF5MailImporterAkonadi)
configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KF5MailImporterAkonadiConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterAkonadiConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    )

ecm_setup_version(PROJECT VARIABLE_PREFIX MAILIMPORTER
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterAkonadiConfigVersion.cmake"
    SOVERSION 5
    )

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterAkonadiConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF5MailImporterAkonadiConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
    )

install(EXPORT KF5MailImporterAkonadiTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5MailImporterAkonadiTargets.cmake NAMESPACE KF5::)

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
    )

target_sources(KF5MailImporterAkonadi PRIVATE
    filterimporterakonadi.cpp
    filterimporterakonadi.h
    filterimportertestutil.h
    )

ecm_qt_declare_logging_category(KF5MailImporterAkonadi HEADER mailimporterakonadi_debug.h IDENTIFIER MAILIMPORTERAKONADI_LOG CATEGORY_NAME org.kde.pim.mailimporterakonadi
        DESCRIPTION "mailimporterakonadi (mailimporter)"
        EXPORT MAILIMPORTER
    )



if (COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KF5MailImporterAkonadi PROPERTIES UNITY_BUILD ON)
endif()

generate_export_header( KF5MailImporterAkonadi BASE_NAME mailimporterakonadi)

add_library(KF5::MailImporterAkonadi ALIAS KF5MailImporterAkonadi)

target_include_directories(KF5MailImporterAkonadi INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/MailImporterAkonadi/;${KDE_INSTALL_INCLUDEDIR_KF5}/mailimporterakonadi>")
target_include_directories(KF5MailImporterAkonadi PUBLIC "$<BUILD_INTERFACE:${MailImporter_SOURCE_DIR}/src;${MailImporter_BINARY_DIR}/src;>")


target_link_libraries(KF5MailImporterAkonadi
    PUBLIC
    KF5::MailImporter
    KF5::AkonadiCore
    PRIVATE
    KF5::Mime
    KF5::AkonadiMime
    KF5::I18n
    )

set_target_properties(KF5MailImporterAkonadi PROPERTIES
    VERSION ${MAILIMPORTER_VERSION}
    SOVERSION ${MAILIMPORTER_SOVERSION}
    EXPORT_NAME MailImporterAkonadi
    )

install(TARGETS
    KF5MailImporterAkonadi
    EXPORT KF5MailImporterAkonadiTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
    )


ecm_generate_headers(MailImporter_AkonadiCamelCase_HEADERS
    HEADER_NAMES
    FilterImporterAkonadi
    REQUIRED_HEADERS MailImporter_Akonadi_HEADERS
    PREFIX MailImporterAkonadi
    )


ecm_generate_pri_file(BASE_NAME MailImporterAkonadi
    LIB_NAME KF5MailImporterAkonadi
    DEPS "MailImporter AkonadiCore" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/MailImporterAkonadi
    )


install(FILES
    ${MailImporter_AkonadiCamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/MailImporterAkonadi
    COMPONENT Devel
    )

install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mailimporterakonadi_export.h
    ${MailImporter_Akonadi_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/mailimporterakonadi
    COMPONENT Devel
    )
install(FILES
    ${PRI_FILENAME}
    DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

if (BUILD_TESTING)
   add_subdirectory(autotests)
endif()


if (BUILD_QCH)
    ecm_add_qch(
        KF5MailImporterAkonadi_QCH
        NAME KF5MailImporterAkonadi
        BASE_NAME KF5MailImporterAkonadi
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${MailImporter_Akonadi_HEADERS}
        #MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt5Core_QCH
            Qt5Gui_QCH
            Qt5Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MAILIMPORTERAKONADI_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
libkf5mailimporter (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:19:06 +0000

libkf5mailimporter (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update debian/watch
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:25:40 +0000

libkf5mailimporter (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:33:30 +0000

libkf5mailimporter (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:30:34 +0000

libkf5mailimporter (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:25:54 +0000

libkf5mailimporter (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Refresh enable_debianabimanager.diff

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 23:32:28 +0000

libkf5mailimporter (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:48:08 +0000

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: libkf5mailimporter
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
-               debhelper (>= 9),
+               debhelper (>= 11),
                extra-cmake-modules (>= 5.31.0~),
-               libkf5akonadi-dev (>= 4:21.08.1~),
-               libkf5akonadicontact-dev (>= 4:21.08.1~),
-               libkf5akonadimime-dev (>= 4:21.08.1~),
+               libkf5akonadi-dev (>= 4:21.12.3~),
+               libkf5akonadicontact-dev (>= 4:21.12.3~),
+               libkf5akonadimime-dev (>= 4:21.12.3~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5grantleetheme-dev (>= 21.08.1~),
+               libkf5grantleetheme-dev (>= 21.12.3~),
                libkf5i18n-dev (>= 5.31.0~),
-               libkf5libkdepim-dev (>= 4:21.08.1~),
-               libkf5mime-dev (>= 21.08.1~),
-               libkf5pimcommon-dev (>= 4:21.08.1~),
+               libkf5libkdepim-dev (>= 4:21.12.3~),
+               libkf5mime-dev (>= 21.12.3~),
+               libkf5pimcommon-dev (>= 4:21.12.3~),
                pkg-kde-tools (>= 0.12),
                qtbase5-dev (>= 5.6.1~),
                qttools5-dev (>= 5.6.1~),
@@ -39,11 +40,11 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:21.08.1~),
-         libkf5akonadimime-dev (>= 4:21.08.1~),
+Depends: libkf5akonadi-dev (>= 4:21.12.3~),
+         libkf5akonadimime-dev (>= 4:21.12.3~),
          libkf5mailimporter5abi1 (= ${binary:Version}),
          libkf5mailimporterakonadi5 (= ${binary:Version}),
-         libkf5mime-dev (>= 21.08.1~),
+         libkf5mime-dev (>= 21.12.3~),
          qtbase5-dev (>= 5.6.1~),
          ${misc:Depends},
          ${shlibs:Depends},

## libkf5mailimporter 22.04.2

=== debian/changelog ===
libkf5mailimporter (4:22.04.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 19 Jun 2022 02:47:59 +0200

libkf5mailimporter (4:22.04.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (22.04.1).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 May 2022 16:14:08 +0200

libkf5mailimporter (4:21.12.3-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 01 Apr 2022 22:10:45 +0200

libkf5mailimporter (4:21.12.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (21.12.3).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.

 -- Patrick Franz <deltaone@debian.org>  Thu, 24 Mar 2022 23:27:50 +0100

libkf5mailimporter (4:21.08.1-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.1).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Sat, 11 Sep 2021 07:26:51 +0900

libkf5mailimporter (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:37:28 +0900

libkf5mailimporter (4:21.04.3-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.3).

 -- Norbert Preining <norbert@preining.info>  Fri, 09 Jul 2021 10:41:22 +0900

libkf5mailimporter (4:21.04.1-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.1).

 -- Norbert Preining <norbert@preining.info>  Fri, 14 May 2021 06:15:41 +0900

libkf5mailimporter (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Thu, 13 May 2021 09:47:08 +0900

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>,
           Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.91.0~),
               libgrantlee5-dev (>= 5.2~),
               libkf5akonadi-dev (>= 4:22.04.2~),
               libkf5akonadimime-dev (>= 4:22.04.2~),
               libkf5archive-dev (>= 5.91.0~),
               libkf5config-dev (>= 5.91.0~),
               libkf5coreaddons-dev (>= 5.91.0~),
               libkf5i18n-dev (>= 5.91.0~),
               libkf5kio-dev (>= 5.91.0~),
               libkf5libkdepim-dev (>= 4:20.04.1~),
               libkf5mime-dev (>= 22.04.2~),
               libkf5pimcommon-dev (>= 4:22.04.2~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.15.2~),
               xauth,
               xvfb
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/pim/mailimporter
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mailimporter
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mailimporter.git
Rules-Requires-Root: no

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.04.2~),
         libkf5akonadimime-dev (>= 4:22.04.2~),
         libkf5archive-dev (>= 5.91.0~),
         libkf5mailimporter5 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 22.04.2~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: KDE PIM Mail importer library, devel files
 Contains development files for building software that uses the library for
 importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5mailimporter-dev (<< 4:19.08.2-1~)
Replaces: libkf5mailimporter-dev (<< 4:19.08.2-1~)
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.
Provides: ${ABI:VirtualPackage}

## libkf5mailimporter 22.08.1

=== debian/changelog ===
libkf5mailimporter (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:11 +0100

libkf5mailimporter (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:21 +0100

libkf5mailimporter (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:35:26 +0100

libkf5mailimporter (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:06 +0100

libkf5mailimporter (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:09:20 +0100

libkf5mailimporter (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:56:38 +0100

=== debian/control ===
Source: libkf5mailimporter
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               libkf5akonadi-dev (>= 4:22.08.1~),
               libkf5akonadicontact-dev (>= 4:22.08.1~),
               libkf5akonadimime-dev (>= 4:22.08.1~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5grantleetheme-dev (>= 22.08.1~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5libkdepim-dev (>= 4:22.08.1~),
               libkf5mime-dev (>= 22.08.1~),
               libkf5pimcommon-dev (>= 4:22.08.1~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mailimporter

Package: libkf5mailimporter-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:22.08.1~),
         libkf5akonadimime-dev (>= 4:22.08.1~),
         libkf5mailimporter5abi1 (= ${binary:Version}),
         libkf5mailimporterakonadi5 (= ${binary:Version}),
         libkf5mime-dev (>= 22.08.1~),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library, devel files
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporter5abi1
X-Debian-ABI: 1
X-CMake-Target: KF5MailImporter
Architecture: any
Multi-Arch: same
Depends: libkf5mailimporter-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mail importer library
 This package contains a library for importing mails into KDE applications.
 .
 This package is part of the KDE PIM module.

Package: libkf5mailimporterakonadi5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: KDE PIM Mail importer Akonadi library
 This package contains a library for importing mails into Akonadi applications.
 .
 This package is part of the KDE PIM module.
